import 'package:electronic_assistant/base/base_controller.dart';
import 'package:electronic_assistant/module/browser/view.dart';
import 'package:electronic_assistant/utils/launcher_url_util.dart';
import 'package:url_launcher/url_launcher.dart';
import 'package:chewie/chewie.dart';
import 'package:video_player/video_player.dart';

class ShortCutController extends BaseController {
  void onAddIosShortCut() {
    //TODO 调用ios快捷指令
    LauncherUrlUtil.launchHttpUrl(
        'https://www.icloud.com/shortcuts/621cbeab2b9d476cbe2c830be2a6ea9b',
        mode: LaunchMode.externalApplication);
  }

  Future<void> onShowIosShortcutVideo() async {
    //TODO 调用ios系统默认视频查看
    BrowserPage.start("https://cdn.reallyshort.cn/video/example.mp4");
  }
}
